import tkinter
import tkinter.ttk

class Application(tkinter.ttk.Frame):
    def __init__(self, master=None):
        super().__init__(master)
        # Обязательно указываем ширину и высоту контейнера посредством
        # опций width и height соответственно
        self.configure(width=200, height=100)
        self.pack(padx=4, pady=4)
        self.create_widgets()
        self.master.title("Пример использования Notebook")
        # Запрещаем изменять размеры окна
        self.master.resizable(False, False)

    def create_widgets(self):
        ntb = tkinter.ttk.Notebook(self)
        ntb.pack()
        frame2 = tkinter.ttk.Frame(ntb)
        lblName2 = tkinter.ttk.Label(frame2, text="Фамилия")
        lblName2.pack()
        entName2 = tkinter.ttk.Entry(frame2)
        entName2.pack()
        ntb.add(frame2, text="Фамилия", padding=4)
        frame1 = tkinter.ttk.Frame(ntb)
        lblName1 = tkinter.ttk.Label(frame1, text="Имя")
        lblName1.pack()
        entName1 = tkinter.ttk.Entry(frame1)
        entName1.pack()
        ntb.insert (frame2, frame1, text="Имя", padding=4)
        ntb.select(0)
          

root = tkinter.Tk()
app = Application(master=root)
root.mainloop()
